YUI Flash Component Documentation | All Packages | All Classes | Index | Frames No Frames |
Class RectangleSkin

Package | com.yahoo.astra.fl.charts.skins
Class | public class RectangleSkin
Inheritance | RectangleSkin fl.core.UIComponent
Implements | IProgrammaticSkin

A skin shaped like a rectangle with a single color.

Public Properties

| Property | Defined by
--- | --- | ---
|  | borderAlpha : Number The alpha value of the border. | RectangleSkin
|  | borderColor : uint The color used for the outline of the skin | RectangleSkin
|  | fillAlpha : Number The alpha value of the fill. | RectangleSkin
|  | fillColor : uint The color used to draw the skin. | RectangleSkin

Public Methods

| Method | Defined by
--- | --- | ---
|  | RectangleSkin() Constructor. | RectangleSkin

Property detail

borderAlpha | property

`borderAlpha:Number` [read-write]

The alpha value of the border.

Implementation
`public function get borderAlpha():Number`
`public function set borderAlpha(value:Number):void`

borderColor | property |

`borderColor:uint` [read-write]

The color used for the outline of the skin

Implementation
`public function get borderColor():uint`
`public function set borderColor(value:uint):void`

fillAlpha | property |

`fillAlpha:Number` [read-write]

The alpha value of the fill.

Implementation
`public function get fillAlpha():Number`
`public function set fillAlpha(value:Number):void`

fillColor | property |

`fillColor:uint` [read-write]

The color used to draw the skin.

Implementation
`public function get fillColor():uint`
`public function set fillColor(value:uint):void`
Constructor detail

RectangleSkin | () | constructor

`public function RectangleSkin()`

Constructor.